Skip to main content
`Ctrl`+`K`

# VecSqrtAbs

Replaces each component of a vector by the square root of its magnitude.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecSqrtAbs(Vec v)

Not Collective

## Input Parameter

- v - The vector

## Note

The actual function is sqrt(|x_i|)

## See Also

`Vec`, `VecLog()`, `VecExp()`, `VecReciprocal()`, `VecAbs()`

## Level

beginner

## Location

src/vec/vec/utils/vinv.c

## Examples

src/tao/tutorials/ex4.c
src/ksp/pc/tutorials/ex4.c
src/tao/constrained/tutorials/tomographyADMM.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages